> ## Documentation Index
> Fetch the complete documentation index at: https://developers.betdex.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Fetch event by id



## OpenAPI

````yaml https://docs.api.monacoprotocol.xyz/api/v1/exchange-openapi-general.json get /events/{id}
openapi: 3.1.0
info:
  title: BetDEX General Integration API
  description: >-
    A RESTful API that allows you to interact with the BetDEX Exchange. Provides
    endpoints for managing Events, Markets, Sessions, Wallets and Orders. To
    interact with the API, a client must have an App Id and an API Key to
    authenticate and create a session.
  version: '0.1'
servers:
  - url: https://sandbox.api.btdx.io/
    description: Sandbox API Server
  - url: https://prod.api.btdx.io/
    description: Production API Server
security: []
tags:
  - name: API Key Management
  - name: App Management
  - name: Currencies
  - name: Event Categories
  - name: Event Groups
  - name: Event Subcategories
  - name: Events
  - name: External Reference Sources
  - name: Heartbeat Management
  - name: Market Prices
  - name: Market Types
  - name: Markets
  - name: Orders
  - name: Participants
  - name: Session Management
  - name: Status
  - name: Trades
  - name: Wallet API Key Management
  - name: Wallets
paths:
  /events/{id}:
    get:
      tags:
        - Events
      summary: Fetch event by id
      operationId: getEvent
      parameters:
        - name: authorization
          in: header
          description: Header with the accessToken for the current session
          required: true
          schema:
            type: string
          example: Bearer eyJ0eXAiOiJ...bjV7AtDgA
        - name: id
          in: path
          description: event id
          required: true
          schema:
            type: string
      responses:
        '200':
          description: OK
          content:
            '*/*':
              schema:
                $ref: '#/components/schemas/EventResponse'
        '401':
          description: Session invalid
          content:
            '*/*':
              schema:
                $ref: '#/components/schemas/EventResponse'
components:
  schemas:
    EventResponse:
      type: object
      properties:
        _meta:
          $ref: '#/components/schemas/Meta'
        events:
          type: array
          items:
            $ref: '#/components/schemas/Event'
        eventGroups:
          type: array
          items:
            $ref: '#/components/schemas/EventGroupSummaryWithDates'
        subcategories:
          type: array
          items:
            $ref: '#/components/schemas/SubcategorySummaryWithDates'
        categories:
          type: array
          items:
            $ref: '#/components/schemas/CategorySummaryWithDates'
        participants:
          type: array
          items:
            $ref: '#/components/schemas/EventParticipant'
        externalReferences:
          type: array
          items:
            $ref: '#/components/schemas/ExternalReference'
    Meta:
      type: object
      properties:
        _primary_document:
          type: string
          enum:
            - apiKeys
            - apps
            - categories
            - commissionRates
            - currencies
            - depositAddresses
            - depositRequests
            - events
            - eventGroups
            - externalReferences
            - externalReferenceSources
            - heartbeats
            - ids
            - markets
            - marketOutcomes
            - marketPositions
            - marketTypes
            - orders
            - participants
            - prices
            - priceLadders
            - sessions
            - statuses
            - subcategories
            - trades
            - transactions
            - wallets
            - walletMetrics
            - withdrawalRequests
        _count:
          type: integer
          format: int32
        _page:
          $ref: '#/components/schemas/PageMeta'
    Event:
      type: object
      properties:
        id:
          type: string
        ownerAppId:
          type: string
        eventGroup:
          $ref: '#/components/schemas/DocumentReference'
        name:
          type: string
        code:
          type: string
        active:
          type: boolean
        expectedStartTime:
          type: string
          format: date-time
        actualStartTime:
          type: string
          format: date-time
        actualEndTime:
          type: string
          format: date-time
        createdAt:
          type: string
          format: date-time
        modifiedAt:
          type: string
          format: date-time
        participants:
          $ref: '#/components/schemas/DocumentReference'
        externalReferences:
          $ref: '#/components/schemas/DocumentReference'
    EventGroupSummaryWithDates:
      type: object
      properties:
        id:
          type: string
        name:
          type: string
        subcategory:
          $ref: '#/components/schemas/DocumentReference'
        createdAt:
          type: string
          format: date-time
          deprecated: true
        modifiedAt:
          type: string
          format: date-time
          deprecated: true
    SubcategorySummaryWithDates:
      type: object
      properties:
        id:
          type: string
        name:
          type: string
        category:
          $ref: '#/components/schemas/DocumentReference'
        createdAt:
          type: string
          format: date-time
          deprecated: true
        modifiedAt:
          type: string
          format: date-time
          deprecated: true
    CategorySummaryWithDates:
      type: object
      properties:
        id:
          type: string
        name:
          type: string
        createdAt:
          type: string
          format: date-time
          deprecated: true
        modifiedAt:
          type: string
          format: date-time
          deprecated: true
    EventParticipant:
      type: object
      deprecated: true
      description: >-
        This model is deprecated and will be removed in future versions. Please
        use the Participant model instead.


        A participant in a given event.
      properties:
        id:
          type: string
          description: Globally unique ID for this participant across all subcategories
        code:
          type: string
          description: >-
            Unique code for this participant across all events in a given
            subcategory
        name:
          type: string
        type:
          type: string
          enum:
            - Individual
            - Team
    ExternalReference:
      type: object
      properties:
        id:
          type: integer
          format: int64
        source:
          type: string
        externalReference:
          type: string
    PageMeta:
      type: object
      properties:
        _pageNumber:
          type: integer
          format: int32
        _pageSize:
          type: integer
          format: int32
        _totalElements:
          type: integer
          format: int64
        _totalPages:
          type: integer
          format: int32
    DocumentReference:
      type: object
      properties:
        _ref:
          type: string
        _ids:
          type: array
          items:
            type: string

````